--- title: "Synonym dictionary view" slug: "analytics-cloudsearch-getsynonym" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-getsynonym" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Synonym dictionary view View the detailed information of the synonym dictionary set in the domain. ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/synonym/{synoName} ``` ## Requests ### Request parameters | Parameter name | Required | Type | Service limits | Description | | --- | --- | --- | --- | --- | | name | Yes | string | | Existing Domain name | | synoName | Yes | string | | Existing synonym dictionary name | | version | No | string | | Synonym dictionary version | ## Responses | Field name | Type | Description | Note | | --- | --- | --- | --- | | name | string | Synonym dictionary name | | | serviceName | string | Synonym dictionary service name | Service name used during indexing | | version | string | Version set in the synonym dictionary | | | description | string | Synonym dictionary description | | | wordList | string | Wordlist to be set with synonym dictionary | | | createdDate | string | Synonym dictionary created date | | | updatedDate | string | Synonym dictionary edited date | | ### Response status | HTTP Status | Desc | | --- | --- | | 200 | OK (View complete) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request examples ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/wiki/synonym/syno?version=0.1 x-ncp-iam-access-key: cPMl0CYGgRYvEa8sylCj x-ncp-apigw-signature-v2: +Ln++MqcKHckKli2y/bB76xLUu8qR9rLvo6j2yIYuYg= x-ncp-apigw-timestamp: 1551453306138 ``` ### Response examples ``` { "name": "syno", "createdDate": "2020-12-09T10:00:59.276Z", "updatedDate": "2020-12-09T10:00:59.276Z", "description": "wiki synonym dictionary", "serviceName": "wiki_syno", "wordList": "Hyundai\tHyondai\t\nAudi\tAodi\t\n", "version": "0.1" } ```